##### Initialisation
# la liste des cartes
cartes = [101011, 110111, 100111, 101010, 101100]
# On rangera dant cartes_triees
cartes_triees = []

##### Tri
# tant qu'il reste des nombres dans cartes
# len compte les éléments d'une liste
while len(cartes) > 0:
    # On prend la première carte grâce au [0]
    candidat_min = cartes[0]
    # On va la comparer avec toutes les autres 
    # i est la position de la carte à comparer il ira de 1 à len(carte)
    for i in range(1, len(cartes)) :
        # on compare la carte minimum à une carte
        if candidat_min > cartes[i]:
            # quand la carte est plus petite c'est celle là que l'on veut garder
            candidat_min = cartes[i]
    # On ajoute la plus petite dans la liste des cartes triées
    cartes_triees.append(candidat_min)
    # On la supprime des cartes à trier
    cartes.remove(candidat_min)

##### Fin
# On affiche les cartes triées
print(cartes_triees)

